@Version(value="1.1")

# Package org.osgi.framework.hooks.weaving

Framework Weaving Hooks Package Version 1.1.

See: Description

Interface Summary
WeavingHook: OSGi Framework Weaving Hook Service.
WovenClass: A class being woven.
WovenClassListener: Woven Class Listener Service.

Exception Summary
WeavingException: A weaving exception used to indicate that the class load should be failed but the weaving hook must not be deny listed by the framework.

## Package org.osgi.framework.hooks.weaving Description

Framework Weaving Hooks Package Version 1.1.

Bundles wishing to use this package must list the package in the Import-Package header of the bundle's manifest.

Example import for consumers using the API in this package:

`Import-Package: org.osgi.framework.hooks.weaving; version="[1.1,2.0)"`

Author:
  $Id: 5b48f041a1764e8b2979cdbbb528082054ab3e7f $